<?php
 
class Mnl_Planttree_Adminhtml_PlanttreeController extends Mage_Adminhtml_Controller_Action
{
 
    protected function _initAction()
    {
        
        $this->loadLayout()
            ->_setActiveMenu('planttree/mnl_planttree')
			->_title($this->__('Makeitneutral'));
        return $this;
    }   
   
    public function indexAction() {
        $this->_initAction();       
        $this->_addContent($this->getLayout()->createBlock('planttree/adminhtml_planttree'));
        $this->renderLayout();
    }

    
    /**
     * Product grid for AJAX request.
     * Sort and filter result for example.
     */
    public function gridAction()
    {
        $this->loadLayout();
        $this->getResponse()->setBody($this->getLayout()->createBlock('planttree/adminhtml_planttree_grid')->toHtml());
    }
	
	public function resendAction(){
		
		$this->loadLayout()
            ->_setActiveMenu('planttree/mnl_planttree')
            ->_title($this->__('Makeitneutral'));
 		
		$arrParams = Mage::app()->getRequest()->getParams();
		if(isset($arrParams['order_id']) && (int)$arrParams['order_id'] > 0){
			$incrementId = $arrParams['order_id'];
			$_order = Mage::getModel('sales/order')->loadByIncrementId($incrementId);
			$order_data = $_order->getData();
			
			$planttreedata = array();
			$planttreedata['planttree_amountoftrees'] = 1;
			$planttreedata['customer_firstname'] = $order_data['customer_firstname'];
			$planttreedata['customer_lastname'] = $order_data['customer_lastname'];
			$planttreedata['customer_email'] = $order_data['customer_email'];
			
			if(Mage::helper('planttree')->sendOrderToApi($incrementId, $planttreedata)){
				Mage::getModel('planttree/planttree')->updateStatus($incrementId,'planttree');
			}
		}
		
		$this->_redirect('*/*');
		
        $this->renderLayout();

	}
	

	
}